class_name Inventory extends Resource

@export var items: Array[Item]

func _iter_continue(iter: Array) -> bool:
    return iter[0] < len(items)

func _iter_init(iter: Array) -> bool:
    iter[0] = 0
    return _iter_continue(iter)

func _iter_next(iter: Array) -> bool:
    iter[0] += 1
    return _iter_continue(iter)

func _iter_get(iter: Variant) -> Item:
    return items[iter]
